BizKitHub
DocsAPI ReferenceProduct/bff/product/product-currency-prices-update
postProductAdmin BFF

/bff/product/product-currency-prices-update

Save manual product + variant prices in other currencies (BIZKIT-90)

ProductpostBffProductProduct-currency-prices-update

Parameters

JSON body

Request body

application/json
productCodestringRequired
Examplemy-product
currencyPricesobjectRequired

ISO code → price incl. VAT. Null / omitted = converted from the default price.

variantsobject[]Optional
Each array item:
relationHashstringRequired
currencyPricesobjectRequired

Response schema

1 status code documented

200Success
productCodestringRequired
defaultCurrencystringRequired
ExampleCZK
pricenumberRequired

Default-currency price incl. VAT.

currencyPricesobjectRequired
variantsobject[]Required
Each array item:
relationHashstringRequired
codestringRequired
namestringRequired
pricenumberRequired

Default-currency variant price incl. VAT.

currencyPricesobjectRequired

Response example

application/json
{
  "productCode": "example_productCode",
  "defaultCurrency": "CZK",
  "price": 0,
  "currencyPrices": {},
  "variants": [
    {
      "relationHash": "example_relationHash",
      "code": "example_code",
      "name": "example_name",
      "price": 0,
      "currencyPrices": {}
    }
  ]
}

Request example

POST /bff/product/product-currency-prices-update

post
curl -X POST "https://api.bizkithub.com/bff/product/product-currency-prices-update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "productCode": "my-product",
  "currencyPrices": {},
  "variants": [
    {
      "relationHash": "example_relationHash",
      "currencyPrices": {}
    }
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key